// 父类 基础物品
function BaseItem(name) {
    this.name = name;
}

BaseItem.prototype.discard = function() {
    console.log(`${this.name}被丢弃了`);
};

// 子类 消耗物品类
function ConsumableItem(consumeAmount) {
    BaseItem.call(this, "消耗物品"); // 覆盖name属性
    this.consume = consumeAmount || 1;
}

ConsumableItem.prototype = Object.create(BaseItem.prototype);
ConsumableItem.prototype.constructor = ConsumableItem;

ConsumableItem.prototype.use = function() {
    console.log(`使用了${this.consume}个:${this.name}`);
};

// 子类 装备类
function EquipmentItem(durability) {
    BaseItem.call(this, "装备"); // 覆盖name属性
    this.najju = durability || 100;
}

EquipmentItem.prototype = Object.create(BaseItem.prototype);
EquipmentItem.prototype.constructor = EquipmentItem;

EquipmentItem.prototype.equip = function() {
    console.log(`装备了${this.name},这件装备还有:${this.najju}点耐久`);
};

export { ConsumableItem, EquipmentItem };